## eog-plugins 3.16.5

=== debian/changelog ===
eog-plugins (3.16.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Use the substvar mechanism to generate the package description.
    This simplifies debian/rules.
  * Use dh_autoreconf --as-needed for reduced runtime dependencies.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2016 00:12:55 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: eog-plugins
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools (>= 0.11),
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev (>= 3.14.0),
               libpeas-dev (>= 0.7.4),
               eog-dev (>= 3.20.3-1~),
               python3 (>= 3.2),
               postr,
               libgdata-dev (>= 0.6),
               libchamplain-0.12-dev,
               libchamplain-gtk-0.12-dev,
               libclutter-1.0-dev (>= 1.9.4),
               libclutter-gtk-1.0-dev (>= 1.1.2),
               libexif-dev (>= 0.6.16),
               gsettings-desktop-schemas-dev
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/EyeOfGnome/Plugins
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/eog-plugins
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/eog-plugins/
X-Python-Version: >= 2.3

Package: eog-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         python3-gi,
         gir1.2-gtk-3.0,
         gsettings-desktop-schemas
Suggests: postr
Enhances: eog
Description: set of plugins for eog
 eog-plugins contain a set of plugins for eog, Eye of GNOME.
 .
 The following plugins are included:
 ${Description}

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gnome,python3

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-plugins=all \
		--enable-python

override_dh_install:
	dh_install
	find debian/eog-plugins -name '*.la' -print -delete

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/eog/plugins

override_dh_gencontrol:
	sh debian/description.sh >> debian/eog-plugins.substvars
	dh_gencontrol

## eog-plugins 3.16.6

=== debian/changelog ===
eog-plugins (3.16.6-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Apr 2017 13:44:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: eog-plugins
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.11),
                intltool (>= 0.40.0),

## eog-plugins 3.26.1

=== debian/changelog ===
eog-plugins (3.26.1-1) unstable; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 02 Oct 2017 17:21:13 -0400

eog-plugins (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 19:06:37 -0400

eog-plugins (3.25.92-1) unstable; urgency=medium

  * New upstream release
  * Don't build postr plugin on non-Linux architectures as a
    workaround for bug 874310
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 17:31:33 -0400

eog-plugins (3.16.6-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Add missing dh-python build-dependency (as spotted by lintian).
    "missing-build-dependency-for-dh_-command dh_python3 => dh-python"

  [ Jeremy Bicha ]
  * Split plugins into separate packages so that they can be individually
    installed or uninstalled by appstream clients.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 15:14:52 -0400

eog-plugins (3.16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Jun 2017 17:32:50 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: eog-plugins
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools (>= 0.11),
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev (>= 3.14.0),
               libpeas-dev (>= 0.7.4),
               eog-dev (>= 3.20.3-1~),
               dh-python,
               python3 (>= 3.2),
               postr [linux-any],
               libgdata-dev (>= 0.6),
               libchamplain-0.12-dev,
               libchamplain-gtk-0.12-dev,
               libclutter-1.0-dev (>= 1.9.4),
               libclutter-gtk-1.0-dev (>= 1.1.2),
               libexif-dev (>= 0.6.16),
               gsettings-desktop-schemas-dev
Standards-Version: 4.1.1
Homepage: https://wiki.gnome.org/Apps/EyeOfGnome/Plugins
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/eog-plugins
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/eog-plugins/
X-Python-Version: >= 2.3

Package: eog-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog-plugin-disable-dark-theme,
         eog-plugin-exif-display,
         eog-plugin-export-to-folder,
         eog-plugin-fit-to-width,
         eog-plugin-fullscreen-background,
         eog-plugin-hide-titlebar,
         eog-plugin-map,
         eog-plugin-maximize-windows,
         eog-plugin-picasa,
         eog-plugin-postr [linux-any],
         eog-plugin-python-console,
         eog-plugin-send-by-mail,
         eog-plugin-slideshow-shuffle
Enhances: eog
Description: set of plugins for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 The plugins are now split in separate packages; this metapackage brings all
 of them but they can be installed separately.

Package: eog-plugins-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: common files for eog-plugins
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This package contains common data files and translations.

Package: eog-plugin-disable-dark-theme
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Disable Dark Theme plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 The GNOME Image Viewer uses the dark variant for supported GTK+ themes.
 This plugin overrides that to use the regular version of the theme.

Package: eog-plugin-exif-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Exif Display plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin displays a histogram and other camera data from Exif.

Package: eog-plugin-export-to-folder
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         python3-gi
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Export to Folderplugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin exports the current image to a separate directory.

Package: eog-plugin-fit-to-width
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Fit to Width plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin zooms images to fit them to the window width.

Package: eog-plugin-fullscreen-background
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         python3-gi
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Fullscreen Background plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin enables changing the background color for fullscreen mode.

Package: eog-plugin-hide-titlebar
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Hide Titlebarplugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin hides the titlebar when GNOME Image Viewer is maximized.

Package: eog-plugin-map
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Map plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin provides a map to show the image's location data.

Package: eog-plugin-maximize-windows
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         python3-gi
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Maximize Windows plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin maximizes GNOME Image Viewer windows by default.

Package: eog-plugin-picasa
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Picasa plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin allows uploading images to Google Picasa.

Package: eog-plugin-postr
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Recommends: postr
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Postr plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin allows uploading images to Flickr using Postr.

Package: eog-plugin-python-console
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         python3-gi,
         gsettings-desktop-schemas
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Python Console plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin provides a Python console.

Package: eog-plugin-send-by-mail
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version})
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Send by Mail plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin allows sending images as email attachments.

Package: eog-plugin-slideshow-shuffle
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         eog (>= 3.20.3-1~),
         eog-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: eog
Breaks: eog-plugins (<< 3.16.6-2~)
Replaces: eog-plugins (<< 3.16.6-2~)
Description: Slideshow Shuffle plugin for GNOME Image Viewer
 eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
 .
 This plugin shuffles images in slideshow mode.

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,9 @@
 		--enable-python
 
 override_dh_install:
-	dh_install
-	find debian/eog-plugins -name '*.la' -print -delete
+	find debian/tmp -name '*.la' -print -delete
+	find debian/tmp -name '__pycache__' | xargs -r rm -rf
+	dh_install --fail-missing
 
 override_dh_python3:
 	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/eog/plugins
-
-override_dh_gencontrol:
-	sh debian/description.sh >> debian/eog-plugins.substvars
-	dh_gencontrol

## eog-plugins 3.26.2

=== debian/changelog ===
eog-plugins (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Thu, 22 Mar 2018 13:36:50 +1100

eog-plugins (3.26.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:43:01 -0500

eog-plugins (3.26.1-2) unstable; urgency=medium

  * Don't build eog-plugin-postr since postr is being removed from Testing
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 08:53:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: eog-plugins
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.14.0),
@@ -15,7 +15,7 @@
                eog-dev (>= 3.20.3-1~),
                dh-python,
                python3 (>= 3.2),
-               postr [linux-any],
+#               postr [linux-any],
                libgdata-dev (>= 0.6),
                libchamplain-0.12-dev,
                libchamplain-gtk-0.12-dev,
@@ -23,10 +23,10 @@
                libclutter-gtk-1.0-dev (>= 1.1.2),
                libexif-dev (>= 0.6.16),
                gsettings-desktop-schemas-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
+Vcs-Git: https://salsa.debian.org/gnome-team/eog-plugins.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/eog-plugins
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome/Plugins
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/eog-plugins
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/eog-plugins/
 X-Python-Version: >= 2.3
 
 Package: eog-plugins
@@ -42,7 +42,7 @@
          eog-plugin-map,
          eog-plugin-maximize-windows,
          eog-plugin-picasa,
-         eog-plugin-postr [linux-any],
+#         eog-plugin-postr [linux-any],
          eog-plugin-python-console,
          eog-plugin-send-by-mail,
          eog-plugin-slideshow-shuffle
@@ -206,20 +206,20 @@
  .
  This plugin allows uploading images to Google Picasa.
 
-Package: eog-plugin-postr
-Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         eog (>= 3.20.3-1~),
-         eog-plugins-common (>= ${source:Version})
-Recommends: postr
-Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
-Description: Postr plugin for GNOME Image Viewer
- eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
- .
- This plugin allows uploading images to Flickr using Postr.
+#Package: eog-plugin-postr
+#Architecture: linux-any
+#Depends: ${shlibs:Depends},
+#         ${misc:Depends},
+#         eog (>= 3.20.3-1~),
+#         eog-plugins-common (>= ${source:Version})
+#Recommends: postr
+#Enhances: eog
+#Breaks: eog-plugins (<< 3.16.6-2~)
+#Replaces: eog-plugins (<< 3.16.6-2~)
+#Description: Postr plugin for GNOME Image Viewer
+# eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
+# .
+# This plugin allows uploading images to Flickr using Postr.
 
 Package: eog-plugin-python-console
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with gnome,python3
@@ -18,7 +18,10 @@
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	find debian/tmp -name '__pycache__' | xargs -r rm -rf
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_python3:
 	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/eog/plugins

## eog-plugins 3.26.3

=== debian/changelog ===
eog-plugins (3.26.3-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:11:41 -0500

eog-plugins (3.26.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 19:11:06 -0400

eog-plugins (3.26.2-2) unstable; urgency=medium

  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 11:21:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                libglib2.0-dev (>= 2.38.0),
@@ -23,11 +23,11 @@
                libclutter-gtk-1.0-dev (>= 1.1.2),
                libexif-dev (>= 0.6.16),
                gsettings-desktop-schemas-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Git: https://salsa.debian.org/gnome-team/eog-plugins.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog-plugins
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome/Plugins
-X-Python-Version: >= 2.3
 
 Package: eog-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@ --with gnome,python3

## eog-plugins 3.26.4

=== debian/changelog ===
eog-plugins (3.26.4-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Sep 2019 12:39:37 -0400

## eog-plugins 3.26.5

=== debian/changelog ===
eog-plugins (3.26.5-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:36:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.11),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               dh-sequence-python3,
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.14.0),
                libpeas-dev (>= 0.7.4),
                eog-dev (>= 3.20.3-1~),
-               dh-python,
                python3 (>= 3.2),
 #               postr [linux-any],
                libgdata-dev (>= 0.6),
@@ -23,7 +23,7 @@
                libclutter-gtk-1.0-dev (>= 1.1.2),
                libexif-dev (>= 0.6.16),
                gsettings-desktop-schemas-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Git: https://salsa.debian.org/gnome-team/eog-plugins.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog-plugins

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,python3
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## eog-plugins 3.26.6

=== debian/changelog ===
eog-plugins (3.26.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 12 Mar 2021 19:16:01 -0500

## eog-plugins 3.26.7

=== debian/changelog ===
eog-plugins (3.26.7-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop unneded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 19:02:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 
 %:
 	dh $@

## eog-plugins 42.0

=== meson_options.txt ===
option('plugin_exif-display', type: 'boolean')
option('plugin_export-to-folder', type: 'boolean')
option('plugin_fit-to-width', type: 'boolean')
option('plugin_fullscreenbg', type: 'boolean')
option('plugin_light-theme', type: 'boolean')
option('plugin_map', type: 'boolean')
option('plugin_maximize-windows', type: 'boolean')
option('plugin_postasa', type: 'boolean')
option('plugin_postr', type: 'boolean', value: false)
option('plugin_pythonconsole', type: 'boolean')
option('plugin_send-by-mail', type: 'boolean')
option('plugin_slideshowshuffle', type: 'boolean')

=== debian/changelog ===
eog-plugins (42.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:17:06 -0400

eog-plugins (42~alpha-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Add patch to fix build with latest meson
  * Hide Titlebar plugin has been dropped in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 16:05:20 -0500

eog-plugins (3.26.8-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 31 Jan 2022 13:40:45 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.14.0),
                libpeas-dev (>= 0.7.4),
+               meson (>= 0.57.0),
                eog-dev (>= 3.20.3-1~),
-               python3 (>= 3.2),
 #               postr [linux-any],
                libgdata-dev (>= 0.6),
                libchamplain-0.12-dev,
@@ -38,7 +38,6 @@
          eog-plugin-export-to-folder,
          eog-plugin-fit-to-width,
          eog-plugin-fullscreen-background,
-         eog-plugin-hide-titlebar,
          eog-plugin-map,
          eog-plugin-maximize-windows,
          eog-plugin-picasa,
@@ -145,21 +144,6 @@
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
  This plugin enables changing the background color for fullscreen mode.
-
-Package: eog-plugin-hide-titlebar
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         eog (>= 3.20.3-1~),
-         eog-plugins-common (>= ${source:Version})
-Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
-Description: Hide Titlebarplugin for GNOME Image Viewer
- eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
- .
- This plugin hides the titlebar when GNOME Image Viewer is maximized.
 
 Package: eog-plugin-map
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/eog/plugins

## eog-plugins 42.2

=== debian/changelog ===
eog-plugins (42.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/rules: Set -Wl,-z,defs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:05:07 -0400

eog-plugins (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970222)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:56:46 -0400

## eog-plugins 42.3

=== debian/changelog ===
eog-plugins (42.3-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 14:41:09 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -23,7 +23,8 @@
                libclutter-gtk-1.0-dev (>= 1.1.2),
                libexif-dev (>= 0.6.16),
                gsettings-desktop-schemas-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Git: https://salsa.debian.org/gnome-team/eog-plugins.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog-plugins

## eog-plugins 44.0

=== debian/changelog ===
eog-plugins (44.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:13 +1100

eog-plugins (44.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:33:33 +0000

eog-plugins (44.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:17:05 +0000

eog-plugins (44.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:06:40 -0400

eog-plugins (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 11:52:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: eog-plugins
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -58,8 +59,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          eog (>= 3.20.3-1~),
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: common files for eog-plugins
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -72,8 +71,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Disable Dark Theme plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -87,8 +84,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Exif Display plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -106,8 +101,6 @@
          gir1.2-peas-1.0,
          python3-gi
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Export to Folderplugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -120,8 +113,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Fit to Width plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -139,8 +130,6 @@
          gir1.2-peas-1.0,
          python3-gi
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Fullscreen Background plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -153,8 +142,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Map plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -170,8 +157,6 @@
          gir1.2-glib-2.0,
          python3-gi
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Maximize Windows plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -184,8 +169,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Picasa plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -220,8 +203,6 @@
          python3-gi,
          gsettings-desktop-schemas
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Python Console plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -234,8 +215,6 @@
          eog (>= 3.20.3-1~),
          eog-plugins-common (>= ${source:Version})
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Send by Mail plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
@@ -252,8 +231,6 @@
          gir1.2-gtk-3.0,
          python3-gi
 Enhances: eog
-Breaks: eog-plugins (<< 3.16.6-2~)
-Replaces: eog-plugins (<< 3.16.6-2~)
 Description: Slideshow Shuffle plugin for GNOME Image Viewer
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## eog-plugins 44.1

=== debian/changelog ===
eog-plugins (44.1-5) unstable; urgency=medium

  [ Simon McVittie ]
  * Standards-Version: 4.7.2 (no changes required)

  [ Jeremy Bícha ]
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 12:19:32 -0400

eog-plugins (44.1-4) unstable; urgency=medium

  * Team upload
  * Stop building the map plugin.
    This allows removal of dependencies on libchamplain (de facto
    unmaintained upstream) and clutter (archived upstream and no longer
    accepting bug reports or code contributions). (Closes: #1018119)

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 17:53:39 +0100

eog-plugins (44.1-3) unstable; urgency=medium

  * Remove x32 from list of architectures where the maps plugin is built
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 19:28:43 -0400

eog-plugins (44.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove unused libgdata-dev build-dependency (Closes: #1082016)

  [ Jeremy Bícha ]
  * Don't build maps plugin on 32-bit non-i386. Avoids: #1086231

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Jan 2025 06:58:46 -0500

eog-plugins (44.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 11:32:22 -0400

eog-plugins (44.0-3) unstable; urgency=medium

  * Stop building plugin that enabled publishing to long-discontinued
    Google Picasa Web (Closes: #1071580)
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 May 2024 10:54:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,18 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: eog-plugins
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                dh-sequence-python3,
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev (>= 3.14.0),
                libpeas-dev (>= 0.7.4),
                meson (>= 0.57.0),
                eog-dev (>= 3.20.3-1~),
-#               postr [linux-any],
-               libgdata-dev (>= 0.6),
-               libchamplain-0.12-dev,
-               libchamplain-gtk-0.12-dev,
-               libclutter-1.0-dev (>= 1.9.4),
-               libclutter-gtk-1.0-dev (>= 1.1.2),
                libexif-dev (>= 0.6.16),
                gsettings-desktop-schemas-dev
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/eog-plugins.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/eog-plugins
 Homepage: https://wiki.gnome.org/Apps/EyeOfGnome/Plugins
@@ -40,10 +26,7 @@
          eog-plugin-export-to-folder,
          eog-plugin-fit-to-width,
          eog-plugin-fullscreen-background,
-         eog-plugin-map,
          eog-plugin-maximize-windows,
-         eog-plugin-picasa,
-#         eog-plugin-postr [linux-any],
          eog-plugin-python-console,
          eog-plugin-send-by-mail,
          eog-plugin-slideshow-shuffle
@@ -135,18 +118,6 @@
  .
  This plugin enables changing the background color for fullscreen mode.
 
-Package: eog-plugin-map
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         eog (>= 3.20.3-1~),
-         eog-plugins-common (>= ${source:Version})
-Enhances: eog
-Description: Map plugin for GNOME Image Viewer
- eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
- .
- This plugin provides a map to show the image's location data.
-
 Package: eog-plugin-maximize-windows
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -161,33 +132,6 @@
  eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
  .
  This plugin maximizes GNOME Image Viewer windows by default.
-
-Package: eog-plugin-picasa
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         eog (>= 3.20.3-1~),
-         eog-plugins-common (>= ${source:Version})
-Enhances: eog
-Description: Picasa plugin for GNOME Image Viewer
- eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
- .
- This plugin allows uploading images to Google Picasa.
-
-#Package: eog-plugin-postr
-#Architecture: linux-any
-#Depends: ${shlibs:Depends},
-#         ${misc:Depends},
-#         eog (>= 3.20.3-1~),
-#         eog-plugins-common (>= ${source:Version})
-#Recommends: postr
-#Enhances: eog
-#Breaks: eog-plugins (<< 3.16.6-2~)
-#Replaces: eog-plugins (<< 3.16.6-2~)
-#Description: Postr plugin for GNOME Image Viewer
-# eog-plugins contain a set of plugins for eog, the GNOME Image Viewer.
-# .
-# This plugin allows uploading images to Flickr using Postr.
 
 Package: eog-plugin-python-console
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dplugin_postasa=false -Dplugin_map=false
+
 override_dh_python3:
 	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/eog/plugins
